From f86958231c2e5d3172554976a88f8cb552109079 Mon Sep 17 00:00:00 2001
From: Jelle van der Waa <jelle@vdwaa.nl>
Date: Wed, 21 Jun 2017 21:42:57 +0200
Subject: [PATCH] Fix automake warnings

Signed-off-by: Jelle van der Waa <jelle@vdwaa.nl>
---
 Makefile.am       | 2 --
 configure.ac      | 3 ++-
 doc/Makefile.am   | 2 --
 tests/Makefile.am | 2 --
 tools/Makefile.am | 2 --
 5 files changed, 2 insertions(+), 9 deletions(-)

diff --git a/Makefile.am b/Makefile.am
index 12a85d3..c137e1d 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -16,8 +16,6 @@ katepc_DATA+=misc/pkgconfig/oggkate.pc
 noinst_DATA+=misc/pkgconfig/oggkate-uninstalled.pc
 endif
 
-LIBTOOLFLAGS=--silent
-
 AM_CPPFLAGS=-I $(top_srcdir)/src -I $(top_srcdir)/include
 
 lib_libkate_la_SOURCES=\
diff --git a/configure.ac b/configure.ac
index 58ff478..0234255 100644
--- a/configure.ac
+++ b/configure.ac
@@ -7,7 +7,7 @@ AC_PREREQ(2.53)
 
 AC_CANONICAL_TARGET
 
-AM_INIT_AUTOMAKE([-Wall -Werror foreign subdir-objects])
+AM_INIT_AUTOMAKE([-Wall -Werror foreign subdir-objects -Wno-portability])
 AC_CONFIG_HEADERS([include/config.h])
 
 ifdef([AM_SILENT_RULES],[AM_SILENT_RULES])
@@ -27,6 +27,7 @@ dnl     then set AGE to 0.
 LIBKATE_SHARED_VERSION="4:0:3"
 LIBOGGKATE_SHARED_VERSION="3:2:2"
 
+AM_PROG_AR
 AC_PROG_CC_C_O
 AC_LIBTOOL_DLOPEN
 AC_PROG_LIBTOOL
diff --git a/doc/Makefile.am b/doc/Makefile.am
index 693f2fc..f519c08 100644
--- a/doc/Makefile.am
+++ b/doc/Makefile.am
@@ -1,5 +1,3 @@
-LIBTOOLFLAGS=--silent
-
 man_MANS=man/kateenc.1 man/katedec.1 man/katalyzer.1 man/KateDJ.1
 
 # dependency to get doc to be built
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 4fa768a..31d3434 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -1,5 +1,3 @@
-LIBTOOLFLAGS=--silent
-
 AM_CPPFLAGS=-I $(top_srcdir)/src -I $(top_srcdir)/include
 
 LIBKATE=../lib/libkate.la
diff --git a/tools/Makefile.am b/tools/Makefile.am
index 2be12a3..01c3d7b 100644
--- a/tools/Makefile.am
+++ b/tools/Makefile.am
@@ -2,8 +2,6 @@ if HAVE_PYTHON
 SUBDIRS=KateDJ
 endif
 
-LIBTOOLFLAGS=--silent
-
 AM_CPPFLAGS=-I $(top_srcdir)/src -I $(top_srcdir)/include -I $(top_srcdir)/tools
 
 noinst_HEADERS=\
-- 
2.13.1

